#ifndef __SCRIPT2_H__
#define __SCRIPT2_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define SCRIPT_MAX_PARSE_CNT				71


//---------------------------------------------------------------------------

typedef struct {
	u8    op;									// ߂̃IyR[h
	void  (*pFunc)(void);						// ߂̊֐
} ST_SCRIPT_PARSE_TABLE;


//---------------------------------------------------------------------------
IWRAM_CODE void ScriptExecParse(void);

EWRAM_CODE void ScriptExecParseEnd(void);
EWRAM_CODE void ScriptExecParseJump(void);
EWRAM_CODE void ScriptExecParseSelect(void);
EWRAM_CODE void ScriptExecParseSelectPrev(void);
EWRAM_CODE void ScriptExecParseIf(void);
EWRAM_CODE void ScriptExecParseIf2(void);
EWRAM_CODE void ScriptExecParseSetFlag(void);
EWRAM_CODE void ScriptExecParseMsg(void);
EWRAM_CODE void ScriptExecParseSelectMark(void);
EWRAM_CODE void ScriptExecParseEnding(void);
EWRAM_CODE void ScriptExecParseEnding2(void);
EWRAM_CODE void ScriptExecParseEnding3(void);
EWRAM_CODE void ScriptExecParseBg(void);
EWRAM_CODE void ScriptExecParseSkip2(void);
EWRAM_CODE void ScriptExecParseBgClear(void);
EWRAM_CODE void ScriptExecParseNoVisual(void);
EWRAM_CODE void ScriptExecParseNoChr(void);
EWRAM_CODE void ScriptExecParseEffect(void);
EWRAM_CODE void ScriptExecParseEffect2(void);
EWRAM_CODE void ScriptExecParseSkip(void);
EWRAM_CODE void ScriptExecParseBgm(void);
EWRAM_CODE void ScriptExecParseBgmFade(void);
EWRAM_CODE void ScriptExecParseBgmStop(void);
EWRAM_CODE void ScriptExecParseBgmNext(void);
EWRAM_CODE void ScriptExecParseBgmWait(void);
EWRAM_CODE void ScriptExecParseBgm2(void);
EWRAM_CODE void ScriptExecParsePcmLoad(void);
EWRAM_CODE void ScriptExecParsePcmStop(void);
EWRAM_CODE void ScriptExecParsePcm(void);
EWRAM_CODE void ScriptExecParsePcmWait(void);
EWRAM_CODE void ScriptExecParseMsgEnd(void);
EWRAM_CODE void ScriptExecParseNewLine(void);
EWRAM_CODE void ScriptExecParseWaitKey(void);
EWRAM_CODE void ScriptExecParseWaitPage(void);
EWRAM_CODE void ScriptExecParseWaitStr(void);
EWRAM_CODE void ScriptExecParseWait(void);
EWRAM_CODE void ScriptExecParseOffset(void);
EWRAM_CODE void ScriptExecParseFlash(void);
EWRAM_CODE void ScriptExecParseShake(void);
EWRAM_CODE void ScriptExecParseBg2(void);
EWRAM_CODE void ScriptExecParseBgV(void);
EWRAM_CODE void ScriptExecParseBgH(void);
EWRAM_CODE void ScriptExecParseChr(void);
EWRAM_CODE void ScriptExecParseChr2(void);
EWRAM_CODE void ScriptExecParseBgAndChr(void);
EWRAM_CODE void ScriptExecParseChrAll(void);
EWRAM_CODE void ScriptExecParseSkip3(void);
EWRAM_CODE void ScriptExecParseAniClaw(void);
EWRAM_CODE void ScriptExecParseUneUne(void);
EWRAM_CODE void ScriptExecParseAniBlood(void);

IWRAM_CODE void ScriptExecParseText(void);


#ifdef __cplusplus
}
#endif
#endif
