#ifndef __LvnsEffect_h_
#define __LvnsEffect_h_

#include "Lvns.h"

typedef enum {
    LVNS_EFFECT_NONE,
	LVNS_EFFECT_NO_EFFECT,         /* ʤˤ⤷ʤ */
    LVNS_EFFECT_NORMAL,            /* ñɽ */
    LVNS_EFFECT_FADE_MASK,         /* ޥե */
    LVNS_EFFECT_WIPE_TTOB,         /* 夫磻 */
    LVNS_EFFECT_WIPE_LTOR,         /* 磻 */
    LVNS_EFFECT_FADE_PALETTE,      /* Palette ե */
    LVNS_EFFECT_WIPE_MASK_LTOR,    /* 磻(ޥ) */
    LVNS_EFFECT_FADE_SQUARE,       /* Ҥե */
    LVNS_EFFECT_WIPE_SQUARE_LTOR,  /* Ҥ磻 */
    LVNS_EFFECT_SLIDE_LTOR,        /* ĥ饤 */
    LVNS_EFFECT_SLANTTILE,         /* Ф첣⥶饤 */
    LVNS_EFFECT_GURUGURU,          /* 뤰 */
    LVNS_EFFECT_VERTCOMPOSITION,   /* ǤϤߤ */
    LVNS_EFFECT_CIRCLE_SHRINK,     /* 濴ˤ */
    LVNS_EFFECT_LEFT_SCROLL,       /* ˥ */
    LVNS_EFFECT_TOP_SCROLL,        /* ˥ */
    LVNS_EFFECT_RAND_RASTER,       /* ɽ */
    LVNS_EFFECT_BLOOD,             /* 줬   */
} LvnsEffectType;                  /* եȼ */

/* LvnsEffect.c */
void LvnsClearLow(Lvns *lvns, LvnsEffectType effect_clear);
void LvnsDispLow(Lvns *lvns, LvnsEffectType effect_disp);
const char* LvnsEffectName(LvnsEffectType type);

void LvnsClear(Lvns *lvns, LvnsEffectType effect_clear);
void LvnsDisp(Lvns *lvns, LvnsEffectType effect_disp);

void LvnsLighten(Lvns *lvns);
void LvnsDarken(Lvns *lvns);
void LvnsVibrato(Lvns *lvns);
void LvnsWhiteOut(Lvns *lvns);
void LvnsWhiteIn(Lvns *lvns);


#endif
