#import "MOXAudioLVNS.h"

@implementation MOXAudioLVNS

/**
 * Хå
 * ХåեФͤꤹ򵭽Ҥɬפ
 * buffer[play] Фơ buffer_size ޤǤΥǡꤹ롣
 */
- (void)callback 
{
	size_t len;
        if (pos >= sound_len)
            [self pause:YES];
        else {
            len = sound_len - pos;
            len = (len < buffer_size)? len: buffer_size;
            memcpy(buffer[play], sound_data+pos, len);
            pos += len;
        }
}

/**
 * ǥȥ饯
 */
- (void)dealloc 
{
	free(sound_data);
	[super dealloc];
}

/* -------------------------------------------------------- */

/**
 * LVNS󥿡ե 
 * CˤƤӽФåѡ
 */

/**
 * ɽ
 */
static void
OpenSound(void *dep) 
{
	// nothing to do
}

/**
 * ɽλ
 */
static void
CloseSound(void *dep)
{
	MOXAudioLVNS *self = dep;
	[self stop];
	[self release];
}

/**
 * ǡΥ
 */
static void
LoadSound(void *dep, const char *name) 
{
	MOXAudioLVNS *self = dep;
	[self lock];
	self->sound_data = LvnsLoadData(self->lvns, name, &self->sound_len);
	self->pos = 0;
	[self unlock];
}

/**
 * 
 */
static void
StartSound(void *dep)
{
	MOXAudioLVNS *self = dep;
	if (!self->opened)
		[self init:AUDIO_S16LSB freq:11025 channels:2 samples:1024];
	self->pos = 0;
	[self pause:NO];
}

/**
 * 
 */
static void
StopSound(void *dep)
{
	MOXAudioLVNS *self = dep;
	[self stop];
}

/**
 * å
 */
static int
GetSoundState(void *dep)
{
	MOXAudioLVNS *self = dep;
	return [self status] == AUDIO_PLAYING ? 1 : 0;
}

/**
 * LVNSѸ̲֤
 */
+ (Sound*)getSound:(Lvns*)_lvns
{
	Sound *s;
	if ((s = malloc(sizeof *s)) != NULL) {
		MOXAudioLVNS *audio = [MOXAudioLVNS alloc];
		audio->lvns = _lvns;
		s->depend   = audio;
		s->open     = OpenSound;
		s->close    = CloseSound;
		s->load     = LoadSound;
		s->start    = StartSound;
		s->stop     = StopSound;
		s->getState = GetSoundState;
	}
	return s;
}

@end
